Asset list
List asset records owned by the current API key account. Use Asset details for the latest processing status.
curl --request GET \
--url https://aitoearn.cn/api/ai/volcengine/assets/items \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/ai/volcengine/assets/items"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/ai/volcengine/assets/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/volcengine/assets/items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"page": 1,
"pageSize": 1,
"totalPages": 1,
"total": 1,
"list": [
{
"assetId": "string",
"groupId": "string",
"assetType": "Image",
"status": "Processing",
"createdAt": "2026-07-02T12:00:00.000Z",
"updatedAt": "2026-07-02T12:00:00.000Z",
"name": "string",
"url": "https://assets.aitoearn.cn/example.png"
}
]
}
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Query Parameters
Page number, starting from 1.
x >= 1Items per page, from 1 to 1000.
1 <= x <= 1000Asset group ID.
Asset type.
Image, Video, Audio Asset status.
Processing, Active, Failed Response
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Business status code. 0 means success; non-zero means a business error.
Response message.
Hide child attributes
Hide child attributes
Current page number.
Items per page.
Total pages.
Total item count.
Data list.
Hide child attributes
Hide child attributes
Asset ID.
Asset group ID.
Asset type.
Image, Video, Audio Asset status. Only Active assets can be used for video generation.
Processing, Active, Failed Created at.
Updated at.
Asset name.
Asset source file URL.
Request ID.
Error response timestamp in Unix milliseconds.
curl --request GET \
--url https://aitoearn.cn/api/ai/volcengine/assets/items \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/ai/volcengine/assets/items"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/ai/volcengine/assets/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/volcengine/assets/items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"page": 1,
"pageSize": 1,
"totalPages": 1,
"total": 1,
"list": [
{
"assetId": "string",
"groupId": "string",
"assetType": "Image",
"status": "Processing",
"createdAt": "2026-07-02T12:00:00.000Z",
"updatedAt": "2026-07-02T12:00:00.000Z",
"name": "string",
"url": "https://assets.aitoearn.cn/example.png"
}
]
}
}
